Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » problem with "org.eclipse.wst.server.core.launchableAdapters"
problem with "org.eclipse.wst.server.core.launchableAdapters" [message #201312] Fri, 05 October 2007 08:35
Sundaramurthi is currently offline SundaramurthiFriend
Messages: 5
Registered: July 2009
Junior Member
Hai,
If I register new extention in
"org.eclipse.wst.server.core.launchableAdapters" eclipse always picks up
only one adapter for one server. For example in tomcat55 I need a
launchable object with some extra information. But its always taking
HTTPLaunchable. not a customized one.

I have analyzed inside code I found the following in
org.eclipse.wst.server.ui.internal.actions.RunOnServerAction Delegate



/ get the launchable adapter and module object

ILaunchableAdapter launchableAdapter = null;

Object launchable = null;

ILaunchableAdapter[] adapters = ServerPlugin.getLaunchableAdapters();

if (adapters != null) {

int size2 = adapters.length;

for (int j = 0; j < size2; j++) {

ILaunchableAdapter adapter = adapters[j];

try {

Object launchable2 = adapter.getLaunchable(server, moduleArtifact);

Trace.trace(Trace.FINEST, "adapter= " + adapter + ", launchable= " +
launchable2);

if (launchable2 != null) {

launchableAdapter = adapter;

launchable = launchable2;

}

} catch (Exception e) {

Trace.trace(Trace.SEVERE, "Error in launchable adapter", e);

}

}

}



i.e it picks only the last adapter. Why it is? What can I do if I want to
add my own custom adapter for existing server ids?

is it a bug?

Thanks

Sundar
Previous Topic:XML Editor: No Error hint in the Design View
Next Topic:64 Bit Compatibility
Goto Forum:
  


Current Time: Sat Dec 20 03:45:55 GMT 2014

Powered by FUDForum. Page generated in 0.01731 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software